#include <iostream>

using namespace std;

int n, k, x;

int main()
{
    cin>>n>>k>>x;

    if (n==k)
    {
        int prosli;
        if (n%2==0)
        {
            for (int i=0; i<n; i++)
            {
                if (i==0)
                {
                    cout<<1<<" ";
                    prosli=1;
                }
                else
                {
                    if (i<n/2)
                    {
                        cout<<prosli+(x-1)<<" ";
                        prosli+=(x-1);
                    }
                    else if (i==n/2)
                    {
                        cout<<prosli+x<<" ";
                        prosli+=x;
                    }
                    else
                    {
                        if (i>(n/2)+1)
                        {
                            cout<<prosli-(x-1)<<" ";
                            prosli-=(x-1);
                        }
                        else
                        {
                            cout<<prosli-(x)<<" ";
                            prosli-=(x);
                        }
                    }
                }
            }
        }
        else
        {
            for (int i=0; i<n; i++)
            {
                if (i==0)
                {
                    cout<<1<<" ";
                    prosli=1;
                }
                else
                {
                    if (i<=(n/2))
                    {
                        cout<<prosli+(x-1)<<" ";
                        prosli+=(x-1);
                    }
                    else if (i==(n/2)+1)
                    {
                        cout<<prosli+(x)<<" ";
                        prosli+=(x);
                    }
                    else
                    {
                        if (i>(n/2)+2)
                        {
                            cout<<prosli-(x-1)<<" ";
                            prosli-=(x-1);
                        }
                        else
                        {
                            cout<<prosli-(x)<<" ";
                            prosli-=(x);
                        }
                    }
                }
            }
        }
    }
}